-------------------------------------------------------------------------
-- $Author: fpina $
-- $Revision: 159864 $  - $Date: 2014-12-11 10:01:07 -0200 (Thu, 11 Dec 2014) $
-------------------------------------------------------------------------

-------------------------------------------------------------------------
-- Arquivo de configurao do SGA Daemon
-------------------------------------------------------------------------

SGAD_CONF.platform_mapping.Windows64 = "Windows"

local verbose = require "sga.verbose"

-------------------------------------------------------------------------
-- Configurao dos SGAs
-------------------------------------------------------------------------

-- Configurao padro dos ns
Default {
  csbase_platform_id = "No especificada",
  csbase_num_processors = 1,
  csbase_memory_ram_info_mb = 0,
  csbase_memory_swap_info_mb = 0,
  csbase_clock_speed_mhz = 0,
  csbase_file_separator = "/",
  csbase_project_root_directory = "../../projects", --Em relao ao SGA!
  csbase_algorithm_root_directory = "../../algorithms", --Em relao ao SGA!
  csbase_sandbox_root_directory = "/tmp/sandbox",
  csbase_byte_order = BIG_ENDIAN,
  csbase_disabled = NO,
  csbase_benchmarks = NO,
  csbase_net_benchmark = NO,
  csbase_cpu_capacity = NO_CAPACITY,
  csbase_reading_disk_capacity = NO_CAPACITY,
  csbase_writing_disk_capacity = NO_CAPACITY,
  csbase_enable_historic = NO,
  csbase_partition_name = "sda",
  csbase_net_interface_name = "eth0",
  -- csbase_requirements = {},
}

SGA {
  csbase_name = "odin",
  csbase_platform_id = "Linux26g4_64",
  csbase_num_processors = 2,
}

